<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="16dp"
    android:layout_marginEnd="16dp"
    android:paddingBottom="2dp"
    android:background="@drawable/bg_discover_card">

    <ImageView
        android:id="@+id/titlePic"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:src="@drawable/pic_discover_card_title"
        android:scaleType="fitStart"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintStart_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:visibility="gone"
        android:id="@+id/prefsIv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="118dp"
        android:layout_marginTop="14dp"
        android:src="@drawable/ic_discover_card_prefs"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/allTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="16dp"
        android:drawableEnd="@drawable/ic_home_head_arrow"
        android:drawablePadding="4dp"
        android:textColor="@color/theme_font"
        android:textSize="12sp"
        android:text="全部"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/titlePic"
        app:layout_constraintBottom_toBottomOf="@+id/titlePic" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler_view"
        android:layout_width="match_parent"
        android:layout_height="248dp"
        android:layout_marginStart="2dp"
        android:layout_marginEnd="2dp"
        android:paddingTop="10dp"
        android:paddingBottom="10dp"
        android:background="@drawable/background_shape_white_radius_6_top_only"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/titlePic"
        app:layout_constraintBottom_toTopOf="@+id/typeHSV" />

    <HorizontalScrollView
        android:id="@+id/labelHSV"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginStart="2dp"
        android:layout_marginEnd="2dp"
        android:paddingBottom="14dp"
        android:scrollbars="none"
        android:background="@drawable/background_shape_white_radius_6_bottom_only"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/recycler_view"
        app:layout_constraintBottom_toBottomOf="parent">

        <LinearLayout
            android:id="@+id/labelContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingStart="14dp"
            android:orientation="horizontal" />

    </HorizontalScrollView>
</androidx.constraintlayout.widget.ConstraintLayout>